
Redmine - Defect #8639

Validation failed: Name can't be blank, Identifier can't be blank, Identifier is too short (minimum is 1

characters)

2011-06-17 08:55 - jack jiaxiong

Status: Closed Start date: 2011-06-17

Priority: Urgent Due date:  

Assignee: Chaoqun Zou % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.8.5

Description

Redmine 0.8.5 update to redmine 1.2.0 problem

[root@localhost redmine]# rake db:migrate RAILS_ENV=production --trace

(in /usr/local/redmine)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

Execute db:migrate

BuildProjectsTree: migrating ============================================

rake aborted!

An error has occurred, all later migrations canceled:

Validation failed: Name can't be blank, Identifier can't be blank, Identifier is too short (minimum is 1 characters)

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/validations.rb:1090:in `save_without_dirty!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/dirty.rb:87:in `save_without_transactions!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:13

6:in `transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:182:in `transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:208:in `rollback_active_record_state!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:186:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `call'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `each'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `rebuild!'

./db/migrate//105_build_projects_tree.rb:3:in `up_without_benchmarks'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `send'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `migrate'

/usr/local/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:365:in `__send__'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:365:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:486:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:562:in `call'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:562:in `ddl_transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:485:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:472:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:472:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:400:in `up'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:383:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/tasks/databases.rake:116

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

2024-04-19 1/5



/usr/local/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/local/ruby/bin/rake:19:in `load'

/usr/local/ruby/bin/rake:19

Help!Help!

what's the problem.

History

#1 - 2011-06-17 10:03 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 1.2 needs Rails 2.3.11, please update your dependencies according to RedmineInstall.

#2 - 2011-06-17 11:08 - jack jiaxiong

[root@localhost redmine]# gem list

LOCAL GEMS ***

actionmailer (2.3.11, 2.3.5)

actionpack (2.3.11, 2.3.5)

activerecord (2.3.11, 2.3.5)

activeresource (2.3.11, 2.3.5)

activesupport (2.3.11, 2.3.5)

i18n (0.4.2)

rack (1.1.0, 1.0.1)

rails (2.3.11, 2.3.5)

rake (0.8.7)

thanks sir,   but the problem again i don't known why?

#3 - 2011-06-17 11:22 - Etienne Massip

Have a look to the contents of your project table, you might have a project with no name ?

#4 - 2011-06-17 11:23 - Etienne Massip

- Assignee deleted (Chaoqun Zou)

#5 - 2011-06-20 04:59 - jack jiaxiong

actually, have a project with no name, i deleted it ,and update DB, have another problem:

Validation failed: Name has already been taken, Identifier has already been taken

[root@localhost redmine]# rake db:migrate RAILS_ENV=production

(in /usr/local/redmine)

AddCustomFieldsEditable: migrating ======================================

-- add_column(:custom_fields, :editable, :boolean, {:default=>true})

-> 0.1177s

AddCustomFieldsEditable: migrated (0.1182s) =============================

SetCustomFieldsEditable: migrating ======================================

SetCustomFieldsEditable: migrated (0.0464s) =============================    AddProjectsLftAndRgt: migrating

=========================================

-- add_column(:projects, :lft, :integer)

 > 0.0149s
- add_column(:projects, :rgt, :integer)

-> 0.0122s

AddProjectsLftAndRgt: migrated (0.0279s) ================================    BuildProjectsTree: migrating

============================================

rake aborted!

An error has occurred, all later migrations canceled:   

Validation failed: Name has already been taken, Identifier has already been taken

(See full trace by running task with --trace)

[root@localhost redmine]# rake db:migrate RAILS_ENV=production  --trace

(in /usr/local/redmine)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

Execute db:migrate

BuildProjectsTree: migrating ============================================

rake aborted!

An error has occurred, all later migrations canceled:

Validation failed: Name has already been taken, Identifier has already been taken

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/validations.rb:1090:in `save_without_dirty!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/dirty.rb:87:in `save_without_transactions!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in `transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:182:in `transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:208:in `rollback_active_record_state!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:186:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `call'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `each'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `call'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `each'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `rebuild!'

./db/migrate//105_build_projects_tree.rb:3:in `up_without_benchmarks'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `send'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `migrate'

/usr/local/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:365:in `__send__'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:365:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:486:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:562:in `call'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:562:in `ddl_transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:485:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:472:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:472:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:400:in `up'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:383:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/tasks/databases.rake:116

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

/usr/local/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/local/ruby/bin/rake:19:in `load'

/usr/local/ruby/bin/rake:19
#6 - 2011-06-20 04:59 - jack jiaxiong

- Assignee set to Chaoqun Zou

jack jiaxiong wrote:

actually, have a project with no name, i deleted it ,and update DB, have another problem:

Validation failed: Name has already been taken, Identifier has already been taken

[root@localhost redmine]# rake db:migrate RAILS_ENV=production

(in /usr/local/redmine)

AddCustomFieldsEditable: migrating ======================================

-- add_column(:custom_fields, :editable, :boolean, {:default=>true})

-> 0.1177s

AddCustomFieldsEditable: migrated (0.1182s) =============================

SetCustomFieldsEditable: migrating ======================================

SetCustomFieldsEditable: migrated (0.0464s) =============================    AddProjectsLftAndRgt: migrating

=========================================

-- add_column(:projects, :lft, :integer)

> 0.0149s

- add_column(:projects, :rgt, :integer)

-> 0.0122s

AddProjectsLftAndRgt: migrated (0.0279s) ================================    BuildProjectsTree: migrating

============================================

rake aborted!

An error has occurred, all later migrations canceled:   

Validation failed: Name has already been taken, Identifier has already been taken

(See full trace by running task with --trace)

[root@localhost redmine]# rake db:migrate RAILS_ENV=production  --trace

(in /usr/local/redmine)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

Execute db:migrate

BuildProjectsTree: migrating ============================================

rake aborted!

An error has occurred, all later migrations canceled:

Validation failed: Name has already been taken, Identifier has already been taken

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/validations.rb:1090:in `save_without_dirty!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/dirty.rb:87:in `save_without_transactions!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in

`transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:182:in `transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:208:in `rollback_active_record_state!'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:200:in `save!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:186:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `call'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `each'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:183:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `call'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:193:in `rebuild!'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `each'

/usr/local/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:190:in `rebuild!'

./db/migrate//105_build_projects_tree.rb:3:in `up_without_benchmarks'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `send'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `migrate'

/usr/local/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:282:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:365:in `__send__'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:365:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:486:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:562:in `call'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:562:in `ddl_transaction'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:485:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:472:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:472:in `migrate'
/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:400:in `up'

/usr/local/ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/migration.rb:383:in `migrate'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/tasks/databases.rake:116

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'

/usr/local/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

/usr/local/ruby/bin/rake:19:in `load'

/usr/local/ruby/bin/rake:19
